﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace WPF_DataGrid_MVVMConditionalComboBinding
{
    class Person : INotifyPropertyChanged
    {
        string _pName;
        string _country;
        string _city;
        List<string> _cityList;

        public Person()
        {
            _cityList = new List<string>();
        }

        public String Name
        {
            get { return _pName; }
            set
            {
                _pName = value; NotifyPropertyChanged("Name");
            }
        }

        public String Country
        {
            get { return _country; }
            set
            {
                _country = value;
                CityList = LocaltionList.ListOfCities(_country);
                NotifyPropertyChanged("Country");
            }
        }

        public String City
        {
            get { return _city; }
            set { _city = value; NotifyPropertyChanged("City"); }
        }

        public List<string> CityList
        {
            get { return _cityList; }
            set { _cityList = value; }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }

        }
    }
}
